#ifndef INC_GTDIALOG_H
#define INC_GTDIALOG_H

#include "gtappshell.h"

/************************************************************************\
*
* GtDialog class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtDialog : public GtAppShell
{
public:
		/* Standard */
	GtDialog(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtDialog"); }
	sbool IsSubClassOf(char *cn);
		/* Window management */
	void Map(sbool map);
	sbool Build(void);
		/* Events */
	int Handle(XEvent *xe);
		/* Show / Hide dialog */
	void Show(void);
	void Show(int xp,int yp);
	void Show(GtWidget *on);
	void Hide(void);
protected:
		/* Instance variables */
	sbool block;
};

extern GtDialog *GtMkDialog(char *n,GtManager *p,GtTag *tgs);
extern GtDialog *GtMkDialog(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTDIALOG_H */
